Subject: bug#19467: 25.0.50; Default arguments for 'yes-or-no-p'

From: Drew Adams <[email-masked]>
Date: Mon, 29 Dec 2014 13:32:49 -0800 (PST)

> I'd like I could choose the "yes"/"no" answer via M-n/M-p (as
> alternative to typing the answer directly in the minibuffer).

FWIW, that defeats the purpose/intention of `yes-or-no-p'.
We have `y-or-n-p' for quick response.  The point of
`yes-or-no-p' is presumably to slow you down and make you
work a bit, so you take the question seriously. ;-)

I don't know whether in practice some occurrences of
`yes-or-no-p' shouldn't instead be `y-or-n-p', and I don't
know whether `yes-or-no-p' really realizes the intention.

IOW, I have no opinion about whether it works as designed.
But it sounds to me like your suggestion conflicts with
the intention.  The idea is not to make it quicker or
easier to reply.